# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Order\Modifier:
  - class: XC\GiftWrapping\Logic\Order\Modifier\GiftWrapping
    weight: 200
XLite\Model\Config:
  - name: add_greeting_message
    category: XC\GiftWrapping
    type: XLite\View\FormField\Input\Checkbox\OnOff
    orderby: 200
    value: false
    translations:
      - {code: en, option_name: 'Allow adding a greeting message to orders'}
    module: XC\GiftWrapping
  - name: flat
    category: XC\GiftWrapping
    type: XLite\View\FormField\Input\Text\Price
    orderby: 400
    value: ''
    translations:
      - {code: en, option_name: 'Flat fee per order'}
    module: XC\GiftWrapping
  - name: perItem
    category: XC\GiftWrapping
    type: XLite\View\FormField\Input\Text\Price
    orderby: 500
    value: ''
    translations:
      - {code: en, option_name: 'Additional fee per item (starting from the second one)'}
    module: XC\GiftWrapping
XLite\Model\LanguageLabel:
  - name: 'Gift wrapping'
    translations:
      - {code: en, label: 'Gift wrapping'}
  - name: 'Gift wrapping has been added to the order'
    translations:
      - {code: en, label: 'Gift wrapping has been added to the order'}
  - name: 'Gift wrapping has been removed from the order'
    translations:
      - {code: en, label: 'Gift wrapping has been removed from the order'}
  - name: 'The greeting message has been updated successfully'
    translations:
      - {code: en, label: 'The greeting message has been updated successfully'}
  - name: 'Greeting message'
    translations:
      - {code: en, label: 'Greeting message'}
  - name: 'Add gift wrapping'
    translations:
      - {code: en, label: 'Add gift wrapping'}
  - name: 'Greeting message:'
    translations:
      - {code: en, label: 'Greeting message:'}
  - name: 'Update gift wrap options'
    translations:
      - {code: en, label: 'Update gift wrap options'}
